RtsDefine(["rtsmvc"], function(){

	(function(ns){
		
		// Define environement.
		var env = ns.Util.env;
		
		var btn = function(url, label, classname) {
			var t = [];
			
			t.push('<a href="' + url + '" class="btn ' + classname + '">');
				t.push('<span class="label"><span><span>' + label + '</span></span></span>');
				t.push('<span class="logo"></span>');
			t.push('</a>');
			
			return t.join('');
		};

		ns.ViewMenuBar = ns.View.extend({
			template : function(){
				var t = [];
				
				t.push('<div>');
				t.push(btn("https://" + env.domains.sso + "/UI/Login", "Connexion", "login-btn"));
				t.push('</div>');

				return t.join('');
			}
		});

		ns.ViewMenuLoggedIn = ns.View.extend({
			template : function(){
				var t = [], attribs = {};

				attribs = {
					'href': 'https://' + env.domains.marts + '/connecte/profil',
					'title': "{{nickname}}",
					'class': "profile-picture",
					'style': "background-image: url({{thumb}});"
				};

				t.push('<div>');
					t.push('<a ' + ns.Util.attrToHtml(attribs) + '>');
						t.push('<span class="marts-logo"></span>');
					t.push('</a>');
				t.push('</div>');
				
				return t.join('');
			}
		});

		ns.ViewMenuInactiveMember = ns.View.extend({
			template : function(){
				var t = [];

				t.push('<div>');
				t.push(btn("https://" + env.domains.marts + "/connecte/profil", "compléter mon profil", "complete-btn"));
				t.push('</div>');

				return t.join('');
			}
		});

		ns.ViewDropdownMenu = ns.View.extend({
			template : function() {
				var t = [];

				t.push('<div class="dropdown-menu">');
					t.push('<div class="dropdown-arrow"></div>');
					t.push('<div class="menu-wrapper">');
						t.push('<ul class="user first">');
							t.push('<li class="profil"><a href="https://' + env.domains.marts + '/connecte/profil">Profil</a></li>');
							t.push('{{adminLink}}');
							t.push('<li class="disconnect"><a href="https://' + env.domains.sso + '/UI/Logout">Déconnexion</a></li>');
						t.push('</ul>');
						t.push('<ul class="playlist last">');
							t.push('<li><div class="loader"></div></li>');
						t.push('</ul>');
					t.push('</div>');
				t.push('</div>');

				return t.join('');
			}
		});

		ns.ViewDropdownMenuItem = ns.View.extend({
			template: function(){
				var t = [];

				t.push('<li>');
					t.push('<a href="http://' + env.domains.rts + '/profil/?playlist={{id}}">');
						t.push('<span class="play2"></span>');
						t.push('<span class="title">{{title}}</span>');
						t.push('<span class="count-wrapper">');
							t.push('<span class="count">{{count}}</span>');
							t.push('<span class="play"></span>');
						t.push('</span>');
					t.push('</a>');
				t.push('</li>');

				return t.join('');
			}
		});

	})(rtsmvc);

});
